QGIS Application - Bug report #3193
Bug when trying to change Thematic Maps Colors
2010-11-09 08:38 AM - tiagoemsantos -

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: OS X Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 13253
Description

Bug when trying to Change Temathic Maps Colors, i cannot change the color of a class because when i select the color i want and click
apply the program crashes down.

Im using a mac.

PS: QGIS rocks

Process: Qgis r216

Path: /Applications/Qgis.app/Contents/MacOS/Qgis
Identifier:  org.qgis.qgis

Version: 1.5.0 (1.5.0-Tethys)

Code Type:  X86-64 (Native)

Parent Process: launchd r77

Date/Time:  2010-11-09 16:31:41.132 +0000
OS Version: Mac OS X 10.6.4 (10F569)
Report Version: 6

Interval Since Last Report: 88592 sec

Crashes Since Last Report: 29

Per-App Interval Since Last Report: 43673 sec

Per-App Crashes Since Last Report: 28

Anonymous UUID: 6B76BADF-31BA-4D45-A987-0CDAEC7A98B5

Exception Type: EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: 0x000000000000000d, 0x0000000000000000

Crashed Thread: 0 Dispatch queue: com.apple.main-thread

Thread 0 Crashed: Dispatch queue: com.apple.main-thread

0 [[QtGui]] 0x000000010220be41 QTreeModel::iindex(QTreeWidgetltem const*, int) const + 97

1 [[QtGui]] 0x000000010220e61d QTreeWidget::setCurrentltem(QTreeWidgetltem*, int) + 77

2 org.qgis.qgis 0x0000000100155299 [[QgsLegend]]::refreshLayerSymbology(QString, bool) + 159

3 org.qgis.qgis 0x00000001001881e5 [[QgsLegend]]::qt_metacall(QMetaObject::Call, int, void**) + 539

4 [[QtCore]] 0x00000001019bcc1b QMetaObiject::activate(QObject*, QMetaObject const*, int, void**) + 603
5 org.qgis.qgis 0x000000010018ab6f [[QgsVectorLayerProperties]]::refreshLegend(QString, bool) + 49

6 org.qgis.qgis 0x00000001001190eb [[QgsVectorLayerProperties]]::apply() + 2413

7 org.qgis.qgis 0x000000010018ae23 [[QgsVectorLayerProperties]]::qt_metacall(QMetaObject::Call, int, void**) +
575

8 [[QtCorel]] 0x00000001019bcc1b QMetaObiject::activate(QObject*, QMetaObject const*, int, void**) + 603
27 [[QtGui]]
0x000000010213573d QDialog::qt_metacall(QMetaObject::Call, int, void**) + 477

0x000000010018ac09 [[QgsVectorLayerProperties]]::qt_metacall(QMetaObject::Call, int, void**) +

0x00000001019bcc1b QMetaObject::activate(QObject*, QMetaObject const*, int, void**) + 603
0x0000000102066ca2 QDialogButtonBox::qt_metacall(QMetaObject::Call, int, void**) + 306
0x00000001019bcc1b QMetaObject::activate(QObject*, QMetaObject const*, int, void**) + 603
0x00000001022fbb61 QAbstractButton::clicked(bool) + 49
0x0000000102037770 QAbstractButtonPrivate::emitClicked() + 64
0x00000001020389aa QAbstractButtonPrivate::click() + 154
0x0000000102038c01 QAbstractButton::mouseReleaseEvent(QMouseEvent*) + 113
0x0000000101d2e1al QWidget::event(QEvent*) + 2369
0x0000000102037aa8 QAbstractButton::event(QEvent*) + 40
0x00000001020cf745 QPushButton::event(QEvent*) + 69
0x0000000101cd48cd QApplicationPrivate::notify_helper(QObject”, QEvent*) + 189
0x0000000101cdb190 QApplication::notify(QObject*, QEvent*) + 7824

0x0000000102bf25e2 [[QgsApplication]]::notify(QObject*, QEvent*) + 28
0x00000001019b686C QCoreApplication::notifylnternal(QObject*, QEvent*) + 124
0x0000000101cd4b3c gt_sendSpontaneousEvent(QObject*, QEvent*) + 44
0x0000000101c8d5¢c0 gt_mac_handleMouseEvent(void*, void*, QEvent::Type, Qt::MouseButton) +

0x0000000101c807e6 -[QCocoaView mouseUp:] + 22
0x00007fff866347ed -[NSWindow sendEvent:] + 5547
0x0000000101c7ed2e -[QCocoaPanel sendEvent:] + 206
0x00007fff86569ee2 -[NSApplication sendEvent:] + 4719
0x00007fff86775f16 -[NSApplication _realDoModalLoop:peek:] + 509
0x00007fff86793c9f -[NSApplication runModalSession:] + 57
0x0000000101c9296a

QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 1002

34 [[QtCore]]

68

35 [[QtCorel]]

36 [[QtGui]]

37 org.qgis.qgis

38 [[QtGui]]

39 [[QtGui]]

40 [[QtGui]]

41 [[QtGui]]
0x0000000101a8c574 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) +

0x0000000101a8c884 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 180
0x0000000102134915 QDialog::exec() + 229
0x000000010001387a [[QgisApp]]::showLayerProperties(QgsMapLayer*) + 228
0x0000000101d2e1ba QWidget::event(QEvent*) + 2394
0x000000010207e05¢c QFrame::event(QEvent*) + 44
0x0000000102105fc7 QAbstractScrollArea::viewportEvent(QEvent*) + 23
0x000000010219220b QAbstractltemView::viewportEvent(QEvent*) + 363
0x00000001021d1df9 QTreeView::viewportEvent(QEvent*) + 345
0x0000000102108450 QAbstractScrollAreaFilter::eventFilter(QObject*, QEvent*) + 48
0x0000000101a8cea? QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*,

0x0000000101cd489e QApplicationPrivate::notify _helper(QObject*, QEvent*) + 142
0x0000000101cdb190 QApplication::notify(QObject*, QEvent*) + 7824

0x0000000102bf25e2 [[QgsApplication]]::notify(QObject*, QEvent*) + 28

0x00000001019b686¢ QCoreApplication::notifylnternal(QObject*, QEvent*) + 124
0x0000000101cd4b3c gt_sendSpontaneousEvent(QObject*, QEvent*) + 44
0x0000000101¢8d5c0 gt_mac_handleMouseEvent(void*, void*, QEvent:: Type, Qt::MouseButton) +

0x00007fff86634763 -[NSWindow sendEvent:] + 5409
0x0000000101c86ffe -[QCocoaWindow sendEvent:] + 206

0x00007fff86569ee2 -[NSApplication sendEvent:] + 4719

0x00007fff86500922 -[NSApplication run] + 474
0x0000000101c92b55
QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlags>) + 1493

56 [[QtCorel]] 0x0000000101a8c574 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) +
68

57 [[QtCorel]] 0x0000000101a8c884 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 180

58 [[QtCorel]] 0x0000000101a8de9c QCoreApplication::exec() + 188

59 org.qgis.qgis 0x000000010000fda1 main + 8084

60 org.qgis.qgis 0x000000010000d708 start + 52

Thread 1: Dispatch queue: com.apple.libdispatch-manager

0 libSystem.B.dylib 0x00007fff8017308a kevent + 10

1 libSystem.B.dylib 0x00007fff80174f5d _dispatch_mgr_invoke + 154

2 libSystem.B.dylib 0x00007fff80174c34 _dispatch_queue_invoke + 185
3 libSystem.B.dylib 0x00007fff8017475e _dispatch_worker_thread2 + 252
4 libSystem.B.dylib 0x00007fff80174088 _pthread_waqthread + 353

5 libSystem.B.dylib 0x00007fff80173f25 start_wqthread + 13

Thread 2:

0 libSystem.B.dylib 0x00007fff8019ddce select$DARWIN_EXTSN + 10
1 com.apple.CoreFoundation 0x00007fff88567e92 +CFSocketManager + 818
2 libSystem.B.dylib 0x00007fff80193456 _pthread_start + 331

3 libSystem.B.dylib 0x00007fff80193309 thread_start + 13

Thread 3:

0 libSystem.B.dylib 0x00007fff80173eaa +workqg_kernreturn + 10

1 libSystem.B.dylib 0x00007fff801742bc _pthread_wqthread + 917

2 libSystem.B.dylib 0x00007fff80173f25 start_wqthread + 13

Thread 4:

0 libSystem.B.dylib 0x00007fff80173eaa +workqg_kernreturn + 10

1 libSystem.B.dylib 0x00007fff801742bc _pthread_wqthread + 917

2 libSystem.B.dylib 0x00007fff80173f25 start_wqthread + 13

Thread 5:

0 libSystem.B.dylib 0x00007fff80173eaa +workqg_kernreturn + 10

1 libSystem.B.dylib 0x00007fff801742bc _pthread_wqthread + 917

2 libSystem.B.dylib 0x00007fff80173f25 start_wqthread + 13

Thread 0 crashed with X86 Thread State (64-bit):

rax: 0x636665727363616d rbx: 0x00007fff5fbfc3f0 rcx: 0x0000000000000000 rdx: 0x000000011cd078c0
rdi: 0x1c00000000000040 rsi: 0x00000001033af210 rbp: 0x00007fff5fbfc3e0 rsp: 0x00007fff5fbfc3a0

r8: 0x00000001025ec980 r9: 0x000000011cc9d4a0 r10: 0x0000000000000000 r11: 0x0000000101d135a0
r12: 0x00007fff5fbfc3f0 r13: 0x00000001033af210 r14: 0x000000011cd078c0 r15: 0x0000000000000000
rip: 0x000000010220be41 rfl: 0x0000000000010202 cr2: 0x0000000052641000

Binary Images:

0x100000000 - 0x1003dcfff +org.qgis.qgis 1.5.0 (1.5.0-Tethys) <60929E77-940F-90F7-A55E-81D99B77226E>
/Applications/Qgis.app/Contents/MacOS/Qgis

0x1004e€000 - 0x1010bbfff +org.gdal.gdal 1.7.2 (GDAL/OGR 1.7.2-1) <33D88618-528C-9290-5EAC-0E3922454711>
/Applications/Qgis.app/Contents/Frameworks/GDAL.framework/Versions/1.7/GDAL

0x101642000 - 0x101671fff +org.maptools.proj 4.7.0 (PROJ 4.7.0-2) <7FCE23B7-503C-8C93-6BD2-5D08C5B262DB>
/Applications/Qgis.app/Contents/Frameworks/PROJ.framework/Versions/4/PROJ

0x10167d000 - 0x101765fff +org.osgeo.geos 3.2.0 (GEOS 3.2.0-1) <359BFD62-9A83-0AE2-C5E7-EAD9934BD9E9>
/Applications/Qgis.app/Contents/Frameworks/GEOS.framework/Versions/3/GEOS
0x101832000 - 0x10191dff7 +org.sqlite.sqlite3 3.6.23 (SQLite3 3.6.23-1)
<FDD896F3-AEAC-A9A3-E97F-432DF6A78E93>
/Applications/Qgis.app/Contents/Frameworks/SQLite3.framework/Versions/3/SQLite3

0x101939000 - 0x10195bfe7 +libpg.dylib 5.2.0 (compatibility 5.0.0) <€600D6C4-68B3-FI9CF-FEA8-3187DBECF2C3>
/Applications/Qgis.app/Contents/MacOS/lib/libpg.dylib

0x101967000 - 0x101bc8fef +QtCore 4.6.3 (compatibility 4.6.0) <7B671F9D-F11F-6298-1FC4-57F9098B29F 4>
/Applications/Qgis.app/Contents/Frameworks/QtCore.framework/Versions/4/QtCore

0x101¢5a000 - 0x1025e5fe7 +QtGui 4.6.3 (compatibility 4.6.0) <7DCA3A94-1A0C-A5EE-213E-4ABBEC8SEDO9F >
/Applications/Qgis.app/Contents/Frameworks/QtGui.framework/Versions/4/QtGui

0x102877000 - 0x102991fff +QtNetwork 4.6.3 (compatibility 4.6.0) <696C7CF5-BA5D-7332-34FC-1D7CC8D862E6>
/Applications/Qgis.app/Contents/Frameworks/QtNetwork.framework/Versions/4/QtNetwork

0x1029df000 - 0x102a1bff7 +QtXml 4.6.3 (compatibility 4.6.0) <DD186C94-907A-E815-DF71-9F35FAA8C3B3>
/Applications/Qgis.app/Contents/Frameworks/QtXml.framework/Versions/4/QtXml

0x102a35000 - 0x102a83fff +QtSvg 4.6.3 (compatibility 4.6.0) <05041A1A-9AB8-0D34-F7F6-34D573E117F5>
/Applications/Qgis.app/Contents/Frameworks/QtSvg.framework/Versions/4/QtSvg

0x102aa3000 - 0x102ad9fef +QtSql 4.6.3 (compatibility 4.6.0) <B6F0D378-E1D3-10EF-6580-D83DA5D12C44>
/Applications/Qgis.app/Contents/Frameworks/QtSql.framework/Versions/4/QtSql

0x102af0000 - 0x102b7bfe7 +libgwt.dylib 5.2.1 (compatibility 5.2.0) <ACO9DEA35-AC6A-9292-EE07-4EFAOFF4A65A>
/Applications/Qgis.app/Contents/MacOS/lib/libqwt.dylib

0x102bcb000 - 0x102ddaff7 +libqgis_core.dylib 1.5.0 (compatibility 1.0.0)
<5C319307-8C03-D679-FC36-BE800919208B> /Applications/Qgis.app/Contents/MacOS/lib/libqgis_core.dylib

0x102eb7000 - 0x102ff8ff7 +libqgis_gui.dylib 1.5.0 (compatibility 1.0.0)
<A1FABB31-8BBB-AC56-44FA-2BD9CDES5SD39D> /Applications/Qgis.app/Contents/MacOS/lib/libqgis_gui.dylib

0x10309c000 - 0x1030dfff7 libiodbc.2.dylib 4.18.0 (compatibility 4.0.0)
<E8B6477A-E3BA-B781-6D7E-2C7118EA2ABD> /ust/lib/libiodbc.2.dylib

0x1030ea000 - 0x1030f8fff libiodbcinst.2.dylib 4.18.0 (compatibility 4.0.0)
<94075961-B98D-2C76-DE7D-49D6C63844D2> /ust/lib/libiodbcinst.2.dylib

0x1030fe000 - 0x103208fff +com.kyngchaos.UnixImagelO 1.2.1 (UnixImagelO 1.2.1)
<F972F5F2-BAB0-F4C2-18EF-761AFFF6E812>
/Applications/Qgis.app/Contents/Frameworks/UnixlmagelO.framework/Versions/C/UniximagelO

0x10323f000 - 0x103277ff7 +libogdi.dylib ??? (???) <70D1F9C9-E5C5-58EA-BBOC-3B745C4B034B>
/Applications/Qgis.app/Contents/Frameworks/GDAL.framework/Versions/1.7/Libraries/libogdi.dylib

0x1037b9000 - 0x1037e0ff7 +libgjpeg.dylib ??? (??7) <05CF9BA2-5B02-DBB3-E274-0171BAA96117>
/Applications/Qgis.app/Contents/plugins/imageformats/libgjpeg.dylib

0x1037fb000 - 0x1037fcff7 _functools.so ??? (??7) <B9ADB239-7DC1-EEF1-88E3-6F640CB6D761>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_functools.so

0x115f9d000 - 0x115fa7fef +libcoordinatecaptureplugin.so ??7? (???) <4FD88FF2-7CB4-1ABE-2765-07BD28FF98F7>
/Applications/Qgis.app/Contents/Pluglns/qgis/libcoordinatecaptureplugin.so

0x115fb0000 - 0x115fbafff +libcopyrightlabelplugin.so ??? (??7) <DAB204AD-1D92-023F-FB84-A7585F76 DA0F>
/Applications/Qgis.app/Contents/Pluglns/qgis/libcopyrightlabelplugin.so

0x115fc3000 - 0x115fcffef +libdelimitedtextplugin.so ??? (??7?) <82AB65A8-CA12-5D7C-6027-62E504AEFA5C>
/Applications/Qgis.app/Contents/Pluglins/qgis/libdelimitedtextplugin.so

0x115fd9000 - 0x115fdafff cStringlO.so ??7? (??7?) <AFD48FB7-27FB-0CB7-7E77-5690CF766A9C>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/cStringlO.so

0x1162db000 - 0x1162e3fef +libdelimitedtextprovider.so ??? (??7?) <A9CBD831-8754-EE1C-1F4E-56B93AFC6AC2>
/Applications/Qgis.app/Contents/Plugins/qgis/libdelimitedtextprovider.so

0x1162ea000 - 0x1162f0fef +libmemoryprovider.so ??7? (??7) <1CCA4343-4A31-D022-EA9B-A1C60DEBO0C6>
/Applications/Qgis.app/Contents/Pluglns/qgis/libmemoryprovider.so

0x1162f7000 - 0x1162fffff +libggispython.dylib 1.5.0 (compatibility 1.0.0) <E69E03F8-886B-4468-DF6A-AF69A62473A4>
/Applications/Qgis.app/Contents/MacOS/lib/libggispython.dylib

0x11746f000 - 0x117480fe7 +libdisplacementplugin.so ??7? (???) <EF9E8A0C-9C74-0A31-3CA0-7F787736247C>
/Applications/Qgis.app/Contents/Pluglns/qgis/libdisplacementplugin.so

0x11748f000 - 0x117491ff7 math.so ??? (???) <7DC885D5-ACD4-6F5E-2121-BAA12BD985AB>

2025-04-27 4/13




/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/math.so

0x117680000 - 0x1176a1ff7 +libdiagramoverlayplugin.so ??? (??7?) <9F8EDECB-828C-C76B-AA1B-37FDB559AB06>
/Applications/Qgis.app/Contents/Pluglns/qgis/libdiagramoverlayplugin.so

0x1176b9000 - 0x1176d7fff +libdxf2shpconverterplugin.so ??? (?7?) <OBAA6BD7-4560-47B3-352D-0E37919091AF>
/Applications/Qgis.app/Contents/Pluglns/qgis/libdxf2shpconverterplugin.so

0x1176€9000 - 0x1176f3fff +libnortharrowplugin.so ??? (???) <829CBC2F-2D47-88FA-AA47-B67EEC6A6128>
/Applications/Qgis.app/Contents/Pluglns/qgis/libnortharrowplugin.so

0x117800000 - 0x117832fe7 +libevisplugin.so ??? (??7) <A552C3A7-BF9F-2251-EF85-F97B434F2553>
/Applications/Qgis.app/Contents/Pluglins/qgis/libevisplugin.so

0x117848000 - 0x1178affff +libgeorefplugin.so ??7? (??7) <00320380-4C62-687A-68A0-231258EEFB47>
/Applications/Qgis.app/Contents/Plugins/qgis/libgeorefplugin.so

0x1178e0000 - 0x117abffef +org.gnu.gsl 1.14 (GSL 1.14-1) <7A5D6DBB-2673-BE9B-EA2A-5FA502828B83>
/Applications/Qgis.app/Contents/Frameworks/GSL.framework/Versions/1/GSL

0x117ab8000 - 0x117ae3ff7 +libgpsimporterplugin.so ??? (??7?) <96AADD2C-2BB8-4248-0673-B0028A0EBE2E>
/Applications/Qgis.app/Contents/Pluglns/qgis/libgpsimporterplugin.so

0x117af5000 - 0x117b2afef +libgpxprovider.so ??? (??7?) <56B8A4762-E74F-177C-B3B0-5219AAF6C481>
/Applications/Qgis.app/Contents/Pluglns/qgis/libgpxprovider.so

0x117b3e000 - 0x117b4ffef +libinterpolationplugin.so ??? (???) <6F2E3A3E-CFAD-F894-75E0-74B94049D50F >
/Applications/Qgis.app/Contents/Pluglns/qgis/libinterpolationplugin.so

0x117b5d000 - 0x117b92ff7 +libggis_analysis.dylib 1.5.0 (compatibility 1.0.0)
<D905A93B-8AC6-EEF4-4E88-8D6E6B1EC37D> /Applications/Qgis.app/Contents/MacOS/lib/libggis_analysis.dylib

0x117ba8000 - 0x117bb9fe7 +libogrconverterplugin.so ??7? (???) <C85ADBF6-D055-82A5-2BA1-CA285C5F1668>
/Applications/Qgis.app/Contents/Pluglns/qgis/libogrconverterplugin.so

0x117bc4000 - 0x117bd9fef +libogrprovider.so ??7? (???) <10E78362-D5D7-06C8-CA3D-547EAFO0C781A>
/Applications/Qgis.app/Contents/Plugins/qgis/libogrprovider.so

0x117be5000 - 0x117bf3fe7 +liboracleplugin.so ??? (???) <2A627BD4-C40E-954E-4506-DDB86430B5E6>
/Applications/Qgis.app/Contents/Pluglns/qgis/liboracleplugin.so

0x117bfd000 - 0x117c01ff7 _struct.so ??? (??7?) <BEODOEC6-2997-593B-9559-A79963C9893E>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_struct.so

0x119b88000 - 0x119babff7 +libosmprovider.so ??? (??7?) <6394F221-C529-B6C0-A408-0E536E812D65>
/Applications/Qgis.app/Contents/Pluglns/qgis/libosmprovider.so

0x119bb5000 - 0x119beafef +libpostgresprovider.so ??7? (???) <FFOBC0C3-9D08-68E7-11D6-D0D320A827EA>
/Applications/Qgis.app/Contents/Pluglns/qgis/libpostgresprovider.so

0x119bfb000 - 0x119c06ff7 +libquickprintplugin.so ??? (???) <0B2F5288-4131-7BC5-A383-5C682749301F>
/Applications/Qgis.app/Contents/Pluglns/qgis/libquickprintplugin.so

0x119c0f000 - 0x119c18fe7 +librasterterrainplugin.so ??? (??7) <6BDE4A26-91DF-AC1A-8F4C-8CABDCCA9434>
/Applications/Qgis.app/Contents/Pluglns/qgis/librasterterrainplugin.so

0x119¢21000 - 0x119c2cfff +libscalebarplugin.so ??? (???) <89725732-4E8C-91DC-1CFE-451A1CB2D46D>
/Applications/Qgis.app/Contents/Pluglns/qgis/libscalebarplugin.so

0x119¢36000 - 0x119c4cfef +libspatialiteprovider.so ??? (??7) <FODD3C6F-7914-C19B-7A18-4DED73FF250F>
/Applications/Qgis.app/Contents/Pluglins/qgis/libspatialiteprovider.so

0x119¢56000 - 0x119c6afff +libspatialqueryplugin.so ??7? (??7?) <8078C2D7-951A-6575-9274-3324544AEF5D>
/Applications/Qgis.app/Contents/Pluglns/qgis/libspatialqueryplugin.so

0x119¢79000 - 0x119cc5fe7 +libspitplugin.so ??? (??7?) <4838EED4-2193-0D5E-366B-FBEC09CA3B6B>
/Applications/Qgis.app/Contents/Plugins/qgis/libspitplugin.so

0x119¢d8000 - 0x119ce9fef +libwfsplugin.so ??? (??7?) <94467785-F75F-2B6E-C4B4-463845E98C0A>
/Applications/Qgis.app/Contents/Pluglns/qgis/libwfsplugin.so

0x119¢f6000 - 0x119d32ff7 +libwfsprovider.so ??? (??7?) <64FB8A84-7178-2F79-BDFC-2B1844727408>
/Applications/Qgis.app/Contents/Pluglins/qgis/libwfsprovider.so

0x119d47000 - 0x119d72fe7 +libwmsprovider.so ??? (???) <6B08F208-83ED-D002-AC08-EEDBD1EF44CD>
/Applications/Qgis.app/Contents/Pluglins/qgis/libwmsprovider.so

0x119d81000 - 0x119e91ff7 org.python.python 2.6.1 (2.6.1) <A07FF07F-4DA8-CBF7-A075-7464786DD7BB>
/System/Library/Frameworks/Python.framework/Versions/2.6/Python
0x119fe1000 - 0x119ff3fef +sip.so ??? (??7?) <C91E7123-7449-DB32-755F-0B9910DBC79D>
/Applications/Qgis.app/Contents/Resources/python/sip.so

0x119ffb000 - 0x11a188ff7 +QtCore.so ??7? (???) <7CF713D3-9AB0-C828-BDOE-F74089FF8794>
/Applications/Qgis.app/Contents/Resources/python/PyQt4/QtCore.so

0x11a2f6000 - 0x11a2f9fff _collections.so ??? (??7) <7E17D2DE-9A6B-4D77-8421-527C4D30BOEE>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_collections.so

0x11a400000 - 0x112900fe7 +QtGui.so ??? (???) <CODOAD2D-C3E9-5094-2CB4-F42E2E58B449>
/Applications/Qgis.app/Contents/Resources/python/PyQt4/QtGui.so

0x11ae40000 - 0x11af8efe7 +core.so ??7? (???) <41459F9A-005E-B541-1125-7438A7FF712E>
/Applications/Qgis.app/Contents/Resources/python/qgis/core.so

0x11b074000 - 0x11b0d7fe7 +QtNetwork.so ??? (??7?) <D7D64B04-C508-E759-216F-E9FD636E868B>
/Applications/Qgis.app/Contents/Resources/python/PyQt4/QtNetwork.so

0x11b126000 - 0x11b15bfef +QtXml.so ??7? (??7?) <F46940EE-23FC-F98B-4F7E-3B64909DE 187>
/Applications/Qgis.app/Contents/Resources/python/PyQt4/QtXml.so

0x11b185000 - 0x11b253fe7 +gui.so ??7? (???) <553B8E1C-9A5F-5803-6BCC-734494F7E705>
/Applications/Qgis.app/Contents/Resources/python/qgis/gui.so

0x11b324000 - 0x11b329fff itertools.so ??? (??7) <7463B44A-F27D-374C-BB7B-F27ED45A9A65>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/itertools.so

0x11b371000 - 0x11b37cfe7 datetime.so ??? (??7) <2898B199-DDF0-4DEE-1592-5A388C959C19>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/datetime.so

0x11b3ee000 - 0x11b3f1fff operator.so ??7? (???) <DDAD16E8-6020-BEEA-7AC0-A99D5E17B87D>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/operator.so

0x11b3f7000 - 0x11b3f8ff7 time.so ??7? (???) <AF773596-1A42-C324-D38F-81422CAFFC61>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/time.so

0x11b540000 - 0x11b543fff _csv.so ??? (???) <57578545-A121-35A3-8869-58402D537483>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_csv.so

0x11b549000 - 0x11b54bfe7 binascii.so ??7? (??7) <82FEEA9D-780A-0945-D4F4-95E32AB1BB41>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/binascii.so

0x11b54f000 - 0x11b550fff _random.so ??? (???) <1222B042-17BE-4452-EF63-CCF68A1F9953>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_random.so

0x11b654000 - 0x11b656ff7 select.so ??7? (???) <C071D7D1-EAOF-D3B9-FD4C-0D38838EDA6C>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/select.so

0x11b65c000 - 0x11b65dfff fentl.so ??? (??7) <F772EE26-CF26-72B7-4FDF-6F94202F7AD5>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/fcntl.so

0x11b661000 - 0x11b662ff7 icglue.so ??? (??7) <846AD81B-5178-A895-D719-13CCE9D218AE>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/icglue.so

0x11b666000 - 0x11b669ff7 strop.so ??7? (???) <92F61949-6019-E0AE-B88A-15A9ADBDAA30>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/strop.so

0x11b66€e000 - 0x11b671fff _Res.so 7?7 (?7?) <5F4E42E7-8B35-BD15-1FC4-19AE14859D0C>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_Res.so

0x11b676000 - 0x11b67aff7 _File.so 7?7 (?7?) <E987B62D-9F85-B47C-F99B-58B498A78A55>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_File.so

0x11b6c0000 - 0x11b6c1ff7 [[MacOS]].so ??7? (???) <D87E2D73-D9B4-CA81-E467-9A3CA66B19E6>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/MacOS.so

0x11b6c6000 - 0x11b705ff7 +_gdal.so ??? (??7) <6DOFD34A-4526-5CA5-FCC1-5D2F6EC9544F >
/Applications/Qgis.app/Contents/Resources/python/osgeo/_gdal.so

0x11b755000 - 0x11b758fff +_gdalconst.so ??? (???) <9DCF7CA9-2CF3-A6C1-FCD5-980999F34156>
/Applications/Qgis.app/Contents/Resources/python/osgeo/_gdalconst.so

0x11b75¢000 - 0x11b7a0fff +_ogr.so ??? (??7?) <39D5AD26-F516-5D77-4A0B-115346D7EBEB>
/Applications/Qgis.app/Contents/Resources/python/osgeo/_ogr.so

0x11b7ee000 - 0x11b820fff +_osr.so ??? (???) <00D4253E-ECB1-9450-711F-BC8B174050C2>
/Applications/Qgis.app/Contents/Resources/python/osgeo/_osr.so

0x11b8ab000 - 0x11b8b4fff _sqlite3.so ??7? (??77) <12A756C3-8C29-42F4-406A-7F35F4EBFF53>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_sqlite3.so
0x11b8be000 - 0x11b93bfef unicodedata.so ??? (???) <OFD764EB-4A76-6693-4706-B224CB704CA7>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/unicodedata.so
0x11b9d0000 - 0x11b9d3ff7 zlib.so ??? (???) <E6F61D24-6989-221F-DB5F-60C16ECFF8BF>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/zlib.so

0x7fff5fc00000 -  Ox7fff5fc3bdef dyld 132.1 (???) <B536F2F1-9DF1-3B6C-1C2C-9075EA219A06> /usr/lib/dyld

0x7fff80053000 -  0x7fff8009cfef libGLU.dylib ??? (??7?) <88FOE457-EE53-B5FF-6A1B-D0326D0C643D>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib

0x7fff8009d000 -  0x7fff80156fff libsglite3.dylib 9.6.0 (compatibility 9.0.0) <5A15E12A-AE8F-1A36-BBC7-564E7D7ADOFB>
/usr/lib/libsglite3.dylib

0x7fff80157000 -  0x7fff80158ff7 com.apple.TrustEvaluationAgent 1.1 (1) <74800EE8-C14C-18C9-C208-20BBDB982D40>
/System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent

0x7fff80159000 -  0x7fff80319fef libSystem.B.dylib 125.2.0 (compatibility 1.0.0)
<95E02DD0-ADEA-745B-E7FA-ABA064E4658C> /ust/lib/libSystem.B.dylib

0x7fff8031a000 -  Ox7fff80352fef libcups.2.dylib 2.8.0 (compatibility 2.0.0) <31A78904-A500-0DA9-0609-F1EB81383326>
/usr/lib/libcups.2.dylib

0x7fff80353000 -  0x7fff80390ff7 libFontRegistry.dylib ??7? (???) <B63FCC3A-F49E-B42E-6D57-5F59E3A8D8B9>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontR
ontRegistry.dylib

0x7fff80492000 -  0x7fff80495fff com.apple.help 1.3.1 (41) <54B79BA2-B71B-268E-8752-5C8EE00E49E4>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help

0x7fff80559000 -  0x7fff8058afff libGLImage.dylib ??? (???) <7EF50768-54F1-5883-C40F-DAF83810C3FA>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib

0x7fff805c6000 -  0x7fff805ecfe? libJPEG.dylib ??? (???) <4060F3E2-BAD3-244F-D777-51BA16569DA4>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libJf
NlibJPEG.dylib

0x7fff80887000 -  0x7fff808c8fef com.apple.QD 3.35 (???) <78C9A560-E6F7-DC4F-F85E-E63CF8A98F0B>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD

0x7fff808c9000 - 0Ox7fff808e4ff7 com.apple.openscripting 1.3.1 (??7?) <FD46A0FE-AC79-3EF7-AB4F-396D376DDE71>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting

0x7fff808fe000 -  0x7fff80902ff7 liIbCGXType.A.dylib 543.50.0 (compatibility 64.0.0)
<E666EBC7-2D87-A3C6-9461-A596B4E53593>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources
urces/libCGXType.A.dylib

0x7fff80929000 -  0x7fff80947fff libPng.dylib ??? (???) <F6932C8D-E6B1-0871-B698-15180AA948F7>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libP
/libPng.dylib

0x7fff80948000 -  0x7fff80979fef libTrueTypeScaler.dylib ??? (??7?) <OA30CA68-46AF-3E74-AE9E-693DB5A680CC>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueT|
rueTypeScaler.dylib

0x7fff80980000 -  0x7fff80980ff7 com.apple.ApplicationServices 38 (38) <10A0BIE9-4988-03D4-FC56-DDE231A02C63>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices

0x7fff80981000 -  0x7fff80b37fef com.apple.ImagelO.framework 3.0.3 (3.0.3)
<A32D0B5A-7149-7739-22D3-84D38B07E9E5>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/ImagelO

0x7fff80b38000 -  0x7fff80b7fff7 com.apple.coreui 2 (114) <D7645B59-0431-6283-7322-957D944DAB21>
/System/Library/PrivateFrameworks/CoreUl.framework/Versions/A/CoreUl

0x7fff80c59000 -  Ox7fff80c64ff7 com.apple.HelpData 2.0.4 (34) <B44D2E2A-BC1E-CD63-F8A1-C9465491693A>
/System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData

0x7fff80c8f000 -  0x7fff80d44fe7 com.apple.ColorSync 4.6.3 (4.6.3) <AA93AD96-6974-9104-BF55-AF7A813C8A1B>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync[?]
c

0x7fff80d45000 -  0x7fff80e5cfef libxml2.2.dylib 10.3.0 (compatibility 10.0.0)
<EE067D7E-15B3-F043-6FBD-10BA31FE76C7> /usr/lib/libxml2.2.dylib

0x7fff81046000 -  0x7fff8115ffef libGLProgrammability.dylib ??? (???) <OE55A58B-5B42-669F-2655-90893554CA21>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib

0x7fff81e52000 -  0x7fff81e58fff libCGXCorelmage.A.dylib 543.50.0 (compatibility 64.0.0)
<2D72D55A-C8FE-78DD-602E-E934057EDF95>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources
urces/libCGXCorelmage.A.dylib

0x7fff81eac000 -  0x7fff82133fe7 com.apple.security 6.1.1 (37594) <C32E7E37-13EC-381A-7CA6-AAE3EBD2C1F1>
/System/Library/Frameworks/Security.framework/Versions/A/Security

0x7fff82297000 -  0x7fff822acff7 com.apple.LangAnalysis 1.6.6 (1.6.6) <DC999B32-BF41-94C8-0583-27D9AB463E8B>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnaly|
nalysis

0x7fff822ad000 -  0x7{ff8252efef com.apple.Foundation 6.6.3 (751.29) <DAEDB589-9F59-9556-CF8D-07556317937B>
/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation

0x7fff825ba000 -  0x7fff825d0fef libbsm.0.dylib ??7? (???) <42D3023A-A1F7-4121-6417-FCC6B51B3E90>
/usr/lib/libbsm.0.dylib

0x7fff825d1000 -  0x7fff825f4fff com.apple.opencl 12.1 (12.1) <403E8F37-4348-B9BC-08E6-7693A995B7EC>
/System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL

0x7fff825f5000 -  0x7fff825f8ff7 libCoreVMClient.dylib ??7? (???) <CE19A78F-B76D-244A-1C04-0544B914F728>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib

0x7fff825f9000 -  0x7fff8261efe7 com.apple.CoreVideo 1.6.1 (45.4) <B1516554-88BC-CF1E-5409-BFF27A73D1AF>
/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo

0x7fff8265e000 - 0x7fff8265eff7 com.apple.Accelerate.vecLib 3.6 (vecLib 3.6)
<DA9BFF01-40DF-EBD5-ABB7-787DAF2D77CF>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib

0x7fff8265f000 -  0x7fff826ebfef [[SecurityFoundation]] ??7? (???) <6860DE26-0D42-D1E8-CD7C-5B42D78C1E1D>
/System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation

0x7fff82752000 -  0x7fff82812fff libFontParser.dylib ??? (???) <A4F8189D-1D5B-2F8D-E78E-6D934A8E8407>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontP|
ontParser.dylib

0x7fff82813000 -  0x7fff82c56fef libLAPACK.dylib 219.0.0 (compatibility 1.0.0)
<0CC61C98-FF51-67B3-F3D8-C5E430C201A9>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib

0x7fff82dd5000 -  0x7fff82f93fff libicucore.A.dylib 40.0.0 (compatibility 1.0.0)
<OE53A4A6-AC06-1B61-2285-248F534EE356> /usr/lib/libicucore.A.dylib

0x7fff82f94000 -  0x7fff83335fe7 com.apple.RawCamera.bundle 3.3.0 (533)
<84ACD5A6-A184-0D4A-24C6-41D14291E8EC>
/System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera

0x7fff83336000 -  0x7fff8334afff libGL.dylib ??7? (???) <5AD69545-D1A3-C017-C7AF-B4AFD6FO8FA2>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib

0x7fff83424000 -  0x7fff83473fef libTIFF.dylib ??? (??7?) <A66CBA9C-A38D-5EDB-BFB5-CB398F033D6F>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libT
NMbTIFF.dylib

0x7fff83474000 -  0x7fff83479fff libGFXShared.dylib ??? (???) <1B50D804-966B-30D2-DOFD-B090B6FEAC7E>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib

0x7fff8350a000 -  0x7fff8352bfff libresolv.9.dylib 41.0.0 (compatibility 1.0.0)
<6993F348-428F-C97E-7A84-7BD2EDC46A62> /usr/lib/libresolv.9.dylib

0x7fff83578000 -  0x7fff8357cff7 libmathCommon.A.dylib 315.0.0 (compatibility 1.0.0)
<95718673-FEEE-B6ED-B127-BCDBDB60D4ES5> /ust/lib/system/libmathCommon.A.dylib

0x7fff8357f000 -  0x7fff83580fff liblangid.dylib ??? (???) <EA4D1607-2BD5-2EE2-2A3B-632EEE5A444D>
/usr/lib/liblangid.dylib

0x7fff83581000 -  0x7fff83581ff7 com.apple.CoreServices 44 (44) <210A4C56-BECB-E3E4-B6EE-7EC53E02265D>
/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices

/libCG:
0x7fff83582000 -  0x7fff83631fff edu.mit.Kerberos 6.5.10 (6.5.10) <F3F76EDF-5660-78F0-FE6E-33B6174F55A4>
/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos

0x7fff8368a000 - 0x7fff836bafef com.apple.shortcut 1.1 (1.1) <A99C9D8E-290B-B1E4-FEA5-CC5F2FB9C18D>
/System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut

0x7fff836bb000 -  0x7fff836cdfe7 libsasl2.2.dylib 3.15.0 (compatibility 3.0.0)
<76B83C8D-8EFE-4467-0F75-275648AFED97> /usr/lib/libsasl2.2.dylib

0x7fff836ce000 -  0Ox7fff83723fef com.apple.framework.familycontrols 2.0.1 (2010)
<239940AC-2427-44C6-9E29-998DOABECDF3>
/System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls

0x7fff83724000 -  0x7fff837effe7 [[ColorSyncDeprecated]].dylib 4.6.0 (compatibility 1.0.0)
<3C223A94-EF14-28C5-844B-C25DFC87FB42>
/System/Library/Frameworks/ApplicationServices.framework/Frameworks/ColorSync.framework/Versions/A/Resources/ColorSyncDef
cDeprecated.dylib

0x7fff837f0000 -  0x7fff83aeefe7 com.apple.HIToolbox 1.6.3 (??7?) <CF0C8524-FA82-3908-ACD0-A9176C704AED>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox

0x7fff83aef000 -  0x7fff83b59fe7 libvMisc.dylib 268.0.1 (compatibility 1.0.0) <75A8D840-4ACE-6560-0889-2AFB6BEOSE59>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib

0x7fff83b5a000 -  0x7fff83b60ff7 com.apple.DiskArbitration 2.3 (2.3) <857F6E43-1EF4-7D53-351B-10DEOA8F992A>
/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration

0x7fff83b61000 -  0x7fff83bagff7 libvDSP.dylib 268.0.1 (compatibility 1.0.0)
<170DE04F-89AB-E295-0880-D69CAFBD7979>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib

0x7fff83baa000 -  Ox7fff83bf6fff libauto.dylib ??? (???) <072804DF-36AD-2DBE-7EF8-639CFB79077F> /usr/lib/libauto.dylib

0x7fff83bf7000 -  0x7fff83d35fff com.apple.CoreData 102.1 (251) <32233D4D-00B7-CE14-C881-6BF19FD05A03>
/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData

0x7fff83e7c000 -  Ox7fff83ebffff libtidy.A.dylib ??? (???) <BAF4DB3A-7BDB-7AF7-0E9C-413BBBDOE380>
/usr/lib/libtidy.A.dylib

0x7fff83fdb000 -  0x7fff84018fff com.apple.LDAPFramework 2.0 (120.1) <16383FF5-0537-6298-73C9-473AEC9C149C>
/System/Library/Frameworks/LDAP.framework/Versions/A/LDAP

0x7fff84439000 -  0x7fff84509ff7 com.apple.CFNetwork 454.9.8 (454.9.8) <24667A86-FCDA-5B58-2CDC-3BFDFESEA985>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork

0x7fff8450a000 -  0x7fff8451bff7 libz.1.dylib 1.2.3 (compatibility 1.0.0) <FBSEE53A-0534-0FFA-B2ED-486609433717>
/usr/lib/libz.1.dylib

0x7fff84869000 -  0x7fff848acff7 libRIP.A.dylib 543.50.0 (compatibility 64.0.0)
<DF457CB3-CE61-0FD4-1403-BB68BC2CC998>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources
urces/libRIP.A.dylib

0x7fff849a2000 - Ox7fff851acfe7 libBLAS.dylib 219.0.0 (compatibility 1.0.0)
<FC941ECB-71D0-FAE3-DCBF-C5A619E594B8>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib

0x7fff851ad000 -  0x7fff851b2ff7 com.apple.CommonPanels 1.2.4 (91) <4D84803B-BD06-D80E-15AE-EFBE43F93605>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels

0x7fff851b3000 -  0x7fff851effe7 libcurl.4.dylib 6.1.0 (compatibility 6.0.0) <1E041185-131C-C237-C250-38BE933A269A>
/usr/lib/libcurl.4.dylib

0x7fff851f9000 -  0x7fff851fbfff libRadiance.dylib ??? (???) <D67C08B6-4D4A-916D-E936-528E145A56E2>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libR
/libRadiance.dylib

0x7fff851fc000 -  0x7fff8520aff7 libkxld.dylib ??? (???) <EE840168-1F67-6219-8BA3-C46039BCC8B3>
/ustr/lib/system/libkxId.dylib

0x7fff8520b000 -  0x7fff852a5fff com.apple.ApplicationServices.ATS 275.11.1 (???)
<0A898C0C-41A0-B9BF-0A38-74FB029CA049>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS

0x7fff852a6000 -  0x7fff85304ff7 com.apple.framework.IOKit 2.0 (???) <010C3398-7363-8F4B-719C-263867F15F63>
/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit

0x7fff85501000 -  0x7fff8554bff7 com.apple.Metadata 10.6.3 (507.10) <641395B7-FF2C-B94C-965A-CE6A0830645F >
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata

0x7fff8554c000 -  Ox7fff8554cff7 com.apple.vecLib 3.6 (vecLib 3.6) <08D3D45D-908B-B86A-00BA-0F978D2702A7>
/System/Library/Frameworks/vecLib.framework/Versions/A/vecLib

0x7fff8557d000 -  0x7fff8559dff7 com.apple.DirectoryService.Framework 3.6 (621.3)
<EDCAF7ED-36E1-121F-D294-5CEBC1C34C5A>
/System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService

0x7fff855c¢3000 -  0x7fff85cc0067 com.apple.CoreGraphics 1.545.0 (???) <88892F58-F785-2E30-50B1-E9CC8775E79F >
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGrap!
raphics

0x7fff85cc1000 -  0x7fff85d7eff7 com.apple.CoreServices.OSServices 357 (357)
<718F0719-DC9F-E392-7C64-9D7DFE3D02E2>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices

0x7fff85d7f000 -  0x7fff85e04fff com.apple.print.framework.PrintCore 6.2 (312.5)
<E736F6DC-2E69-A14D-6BCF-69D14232F8B8>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore

0x7fff85e05000 -  Ox7fff85e95fff com.apple.SearchKit 1.3.0 (1.3.0) <4175DC31-1506-228A-08FD-C704AC9DF642>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit

0x7fff85e96000 -  0x7fff85eacfe7 com.apple.MultitouchSupport.framework 205.34 (205.34)
<01AAE66D-C2DF-4EF5-FC7B-E89E08C02A01>
/System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport

0x7fff8616b000 -  0x7fff8649efe7 com.apple.CoreServices.CarbonCore 861.13 (861.13)
<BC2F9B4E-D305-D717-D97E-EC78C7DE9EE9>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore

0x7fff864f7000 -  0x7ffi86eedfff com.apple.AppKit 6.6.6 (1038.29) <7BDD335D-5425-0354-5AD6-41C4F1B4A2F4>
/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit

0x7fff86eee000 - 0x7fff86ef9ff7 com.apple.speech.recognition.framework 3.11.1 (3.11.1)
<FODDF27E-DB55-07CE-E548-C62095BE8167>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecogniti
gnition

0x7fff86f76000 -  0x7fff8709bfef com.apple.audio.toolbox.AudioToolbox 1.6.3 (1.6.3)
<4DCCDO01F-7516-4240-09DC-EE553317D345>
/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox

0x7fff870af000 -  0x7fff870b4fff libGIF.dylib ??? (??7?) <21FC6B02-6AC3-C4DB-0B50-98144802274C>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libG
NlibGIF.dylib

0x7fff870c7000 -  Ox7fff870d6fff com.apple.NetFS 3.2.1 (3.2.1) <FF21DB1E-F425-1005-FB70-BC19CAF4006E>
/System/Library/Frameworks/NetFS.framework/Versions/A/NetFS

0x7fff87860000 - 0x7fff878b1fe7 com.apple.HIServices 1.8.0 (???) <1ABA7802-C1E4-06A0-9035-2792CC915BF6>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices[?]
es

0x7fff878b2000 -  0x7fff8798cff7 com.apple.vimage 4.0 (4.0) <354F34BF-B221-A3C9-2CA7-9BESE14AD5AD>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vimage.framework/Versions/A/vimage

0x7fff8798d000 -  0x7fff879c8fff com.apple.AE 496.4 (496.4) <CBEDB6A1-FD85-F842-4EB8-CC289FAEOF24>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE

0x7fff879c9000 -  Ox7fff879ddff7 com.apple.speech.synthesis.framework 3.10.35 (3.10.35)
<621B7415-A0B9-07A7-F313-36BEEDD7B132>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/Speec
eechSynthesis

0x7fff879de000 -  Ox7fff879edff7 com.apple.opengl 1.6.9 (1.6.9) <BBSAEF81-0EC1-ED4C-360B-186C60AE745C>
/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL

0x7fff879ee000 -  Ox7fff879f4ff7 |0OSurface ??? (???) <EB2019F6-7C5C-3D59-E11F-6119466C12A9>
/System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface

0x7fff879f5000 -  0x7fff87aedff7 libiconv.2.dylib 7.0.0 (compatibility 7.0.0) <7E4ADB5A-CC77-DCFD-3E54-2F35A2C8D95A>
/usr/lib/libiconv.2.dylib

0x7fff87af5000 -  0x7fff87af8ff7 com.apple.securityhi 4.0 (36638) <38935851-09E4-DDAB-DB1D-30ADC39F7EDO>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityH|.framework/Versions/A/SecurityHlI

0x7fff87af9000 -  0x7fff87c08fe7 libcrypto.0.9.8.dylib 0.9.8 (compatibility 0.9.8)
<36DA89A6-3AF5-86F2-BDD5-B94C7C0844D4> /ust/lib/libcrypto.0.9.8.dylib

0x7fff87c09000 -  Ox7fff87c09ff7 com.apple.Carbon 150 (152) <19B37B7B-1594-AD0A-7F14-FA2F85AD7241>
/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon

0x7fff87e84000 - 0x7fff87f6afe7 com.apple.DesktopServices 1.5.7 (1.5.7) <8A697128-B6CA-E4A8-C200-6520D5A35FBE>
/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv

0x7fff87fc6000 -  Ox7fff87feefff com.apple.DictionaryServices 1.1.1 (1.1.1) <9FD709FC-23F0-F270-EAC1-C590CD516A36>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryS
aryServices

Ox7fff87ffd000 -  Ox7fff8809dfff com.apple.LaunchServices 362.1 (362.1) <2740103A-6C71-D99F-8C6F-FA264546AD8F>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchService
rvices

0x7fff88354000 -  0x7fff88409fe7 com.apple.ink.framework 1.3.3 (107) <FFC46EE0-3544-A459-2AB9-94778A75E3D4>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink

0x7fff8840a000 -  0x7{ff88488fff com.apple.CoreText 3.1.0 (???) <B740DA1D-EFD0-CCBF-F893-E3004FE58A98>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/Core Text.framework/Versions/A/Core Text

0x7fff88489000 -  0x7fff884b4ff7 libxslt.1.dylib 3.24.0 (compatibility 3.0.0) <87A0B228-B24A-C426-C3FB-B40D7258DD49>
/usr/lib/libxslt.1.dylib

0x7fff884b5000 - 0x7fff884b5ff7 com.apple.Accelerate 1.6 (Accelerate 1.6)
<2BB7D669-4B40-6A52-ADBD-DA4DB3BC0B1B> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate

0x7fff884fa000 -  0x7fff8866fff7 com.apple.CoreFoundation 6.6.3 (550.29) <48810602-63C3-994D-E563-DD02B16E76E1>
/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation

0x7fff88799000 -  0x7fff88b32ff7 com.apple.QuartzCore 1.6.2 (227.22) <76EE0A32-B20B-F316-ADDD-4230329253D5>
/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore

0x7fff88b33000 -  0x7fff88b34ff7 com.apple.audio.units.AudioUnit 1.6.3 (1.6.3)
<D4183AC4-8A65-8368-A9AF-E2A13D18519C> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit

0x7fff88b35000 -  0x7fff88b76fff com.apple.SystemConfiguration 1.10.2 (1.10.2)
<BC27BDD4-9CC8-9AF0-B4C2-DD50FD751CBF>
/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration

0x7fff88b77000 -  0x7fff88bafff7 libssl.0.9.8.dylib 0.9.8 (compatibility 0.9.8) <94776929-EF76-D979-5412-940C845BAC5D>
/usr/lib/libssl.0.9.8.dylib

0x7fff88bb0000 -  0x7fff88c2dfef libstdc++.6.dylib 7.9.0 (compatibility 7.0.0)
<35ECA411-2C08-FD7D-11B1-1B7A04921A5C> /usr/lib/libstdc++.6.dylib

0x7fff88c2e000 -  0x7fff88c47fff com.apple.CFOpenDirectory 10.6 (10.6) <OF46E102-8B8E-0995-BA85-3D9608F0A30C>
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirg
nDirectory

0x7fff88c48000 - 0x7fff88c55fe7 libCSync.A.dylib 543.50.0 (compatibility 64.0.0)
<7B891D4C-1F19-4DB0-FD12-7A7D5E8F47AE>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources
urces/libCSync.A.dylib

0x7fff88c56000 -  0x7fff88dOcfff libobjc.A.dylib 227.0.0 (compatibility 1.0.0) <F206BE6D-8777-AE6C-B367-7BEA76C14241>
/ust/lib/libobjc.A.dylib

0x7fff88e7d000 -  0x7fff88efcfef com.apple.audio.CoreAudio 3.2.2 (3.2.2) <243E456E-7A74-BE76-FF18-E589BDCAA785>
/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio

0x7fff88efd000 -  0x7fff88f4cff7 com.apple.DirectoryService.PasswordServerFramework 6.0 (6.0)
<EB6A9626A-E42D-7DB2-FC37-CF95F75342F 7>
/System/Library/PrivateFrameworks/PasswordServer.framework/Versions/A/PasswordServer

0x7fff88f93000 -  0x7fff88f9afff com.apple.OpenDirectory 10.6 (10.6) <72A65D76-7831-D31E-F1B3-9E48BF26A98B>
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
0x7fff890a6000 -  0x7fff890bcfff com.apple.ImageCapture 6.0 (6.0) <5B5AF8FB-C12A-B51F-94FC-3EC4698E818E>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture

0x7fff890d4000 -  0x7fff890d6fff com.apple.print.framework.Print 6.1 (237.1)
<4513DB2F-737C-B43C-2D0OE-23CD6E838014>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print

0x7fffffe00000 -  Ox7fffffe01fff libSystem.B.dylib ??7? (???) <95E02DD0-ADEA-745B-E7FA-ABA064E4658C>
/usr/lib/libSystem.B.dylib

Model: [[MacBook]]6,1, [[BootROM]] MB61.00C8.B00, 2 processors, Intel Core 2 Duo, 2.26 GHz, 4 GB, SMC 1.51f53
Graphics: NVIDIA [[GeForce]] 9400M, NVIDIA [[GeForce]] 9400M, PCI, 256 MB

Memory Module: global_name

[[AirPort]]: spairport_wireless_card_type_airport_extreme (0x14E4, 0x93), Broadcom BCM43xx 1.0 (5.10.131.16.1)
Bluetooth: Version 2.3.7f1, 2 service, 19 devices, 1 incoming serial ports

Network Service: [[AirPort]], [[AirPort]], en1

Serial ATA Device: Hitachi HTS545032B9SA02, 298,09 GB

Serial ATA Device: MATSHITADVD-R UJ-898

USB Device: Built-in iSight, 0x05ac (Apple Inc.), 0x8507, 0x24400000

USB Device: Apple Internal Keyboard / Trackpad, 0x05ac (Apple Inc.), 0x0237, 0x04600000

USB Device: BRCM2070 Hub, 0x0a5¢c (Broadcom Corp.), 0x4500, 0x06100000

USB Device: Bluetooth Module, 0x05ac (Apple Inc.), 0x8218, 0x06130000

History

#1 - 2010-11-13 01:39 PM - Volker Fréhlich

- Status changed from Open to Closed

- Resolution set to worksforme

Works with 1.5 on Linux.

Can you supply sample data?

#2 - 2010-11-13 01:47 PM - Volker Fréhlich

- Status changed from Closed to Feedback
- Resolution deleted (worksforme)

Sorry, inadvertent close!

#3 - 2010-12-06 02:27 PM - benmadin -

G'day,

I have had a few similar crashes - the attached file is the report from one using the old symbology, but trying to change the colours and labels for a column

with NULL, O, 1, 2 as values in the shapefile table. | had previously changed the default / NULL one, and it was OK - then | went back to change the three

with number, and when closing the crash occurred. | realise that this is now behind the head revision, but | see similar reports for 1.6.0.

| hope no one minds, but | have changed the component to Symbology here - seemed more appropriate.
I'm afraid | can't share today's data set (health data) but | will see if | can repeat it on something more benign.

cheers

Ben

#4 - 2011-06-28 10:11 AM - Jeana Routh

Hi all -

| was having the same problem running QGIS 1.7.0 on Snow Leopard (Mac OS X 10.6), but | think | found a weird workaround. Once you've selected the
color/style/whatever you want, click 'Apply' or 'OK' - then, BEFORE IT FINISHES PROCESSING (ie while the cursor is still doing the 'waiting' pattern),

click anywhere on the map or QGIS interface. Voila, no crash!

I have no idea why this works and only discovered it trying to save my work right before the crash.

I hope this might give someone who knows what they're doing insight into fixing the issue - meanwhile, at least we can change our styles finally :)

#5 - 2011-12-16 01:54 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#6 - 2012-01-28 03:23 PM - Giovanni Manghi
- Affected QGIS version set to master

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

- Crashes QGIS or corrupts data set to No

Can a Mac user confirm or dismiss this issue? Please leave feedback.

#7 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0
#8 - 2012-08-16 10:20 AM - Giovanni Manghi

- Status changed from Feedback to Closed
- Resolution set to invalid

Closing for lack of feedback. Please reopen if necessary.

Files
EXC_BAD_ACCESS BM.txt 61.8 KB 2010-12-06 benmadin -
